complexType "PremiumQuote"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 elements
Defined: | globally in fpml-fx-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | value?, quoteBasis?
</...>

Content Model Elements (2):

  quoteBasis (in quote in premium in fxOption), | value (in quote in premium in fxOption)

All Direct / Indirect Based Elements (1):

  quote (in premium in fxOption)

Known Usage Locations

- As direct type of elements (1):
  quote (in premium in fxOption)

Annotation
A type that describes the option premium as quoted.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="PremiumQuote"> <xsd:sequence> <xsd:element minOccurs="0" name="value" type="xsd:decimal"/> <xsd:element minOccurs="0" name="quoteBasis" type="PremiumQuoteBasisEnum"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
quoteBasis

  Type: | PremiumQuoteBasisEnum, simple content

  The method by which the option premium was quoted.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "PercentageOfCallCurrencyAmount" | - | Premium is quoted as a percentage of the callCurrencyAmount. See: http://www.FpML.org
  "PercentageOfPutCurrencyAmount" | - | Premium is quoted as a percentage of the putCurrencyAmount. See: http://www.FpML.org
  "CallCurrencyPerPutCurrency" | - | Premium is quoted in the call currency as a percentage of the put currency. See: http://www.FpML.org
  "PutCurrencyPerCallCurrency" | - | Premium is quoted in the put currency as a percentage of the call currency. See: http://www.FpML.org
  "Explicit" | - | Premium is quoted as an explicit amount. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quoteBasis" type="PremiumQuoteBasisEnum"/>

value

  Type: | xsd:decimal, predefined, simple content

  The value of the premium quote. In general this will be either a percentage or an explicit amount.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="value" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.